
QGIS Application - Bug report #17490

Confirmation dialog for save / rollback / cancel all layers changes no longer appears in master

2017-11-18 08:30 AM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25387

Description

In 2.18 and earlier editions of Qgis when one of the save/rollback/cancel options is clicked there is a confirmation dialog presented to

confirm the action. This is important as clicking the wrong option can cause a loss of data.

This confirmation dialog no longer exists in master. Whilst it is more convenient in some cases to avoid having to click a button in a dialog

box, this has to be balanced against the potential for data loss if the wrong button is clicked, especially as there is no ability to undo an

operation.

Associated revisions

Revision 15e04bc9 - 2018-02-06 06:03 AM - Nyall Dawson

Fix missing verification dialog on "all layer" save/rollback/cancel

Fixes #17490

History

#1 - 2017-11-21 02:04 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Operating System deleted (Debian 9.1)

- Priority changed from Normal to High

I see this as a bug/regression, but maybe a developer wants to chime in here as it could be a change made on purpose.

#2 - 2018-02-06 06:03 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|15e04bc9cb961d6d0f9241ed7273c9c34cdda02d.

#3 - 2018-02-22 11:05 AM - Giovanni Manghi

- Resolution set to fixed/implemented
